> For the complete documentation index, see [llms.txt](https://docs.norrnext.com/norrcompetition/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.norrnext.com/norrcompetition/customisation/events/entry-form.md).

# Entry Form

### onAppformDisplay

**Description**\
This event is triggered in `CompetitionViewAppform::display` (site).

```php
public function onAppformDisplay($context, $item)
{
    // Do something
}
```

**Arguments**\
`$context` - the context of the event, ‘com\_competition.appform’.\
`$item` - the appform object.

### onAppformBeforeFieldsAjaxDisplay

**Description**\
This event is triggered in `CompetitionControllerAppform::ajaxGetCustomFields` (site).

```php
public function onAppformBeforeFieldsAjaxDisplay($context, &$fields, $competition)
{
    // Do something
}
```

**Arguments**\
`$context` - the context of the event, ‘com\_competition.appform’.\
`&$fields` - the fields array.\
`$item` - the competition object.

### onAppformBeforeSave

### onAppformAfterSave

**Description**\
These events are triggered in `CompetitionModelAppform::save` (site) and in `CompetitionModelParticipant::saveAppform` (admin). If the plugin returns `false` for `onAppformBeforeSave` event then the application form/entry is not being saved to the database and transaction is rolled back.

\`\`\`php public function onAppformBeforeSave($context, $table, $isNew) { // Do something return true; } \`\`\`

**Arguments**\
`$context` - the context of the event: ‘com\_competition.appform’ or ‘com\_competition.participant’.\
`$table` - a reference to CompetitionTableAppform object.\
`$isNew` - true for new application form, false otherwise.

### onAppformBeforeSaveTransactionCommit

### onAppformAfterSaveTransactionCommit

**Description**\
These plugins are triggered in `CompetitionModelAppform::save` (site). If the plugin returns `false` for `onAppformBeforeSaveTransactionCommit` event then the entry form is not being saved and transaction is rolled back.

Please note that `onAppformAfterSave` event is triggered inside the transaction that can be rolled back. To make sure that all the data is saved use the `*AfterSaveTransactionCommit` event.

```php
public function onAppformBeforeSaveTransactionCommit($context, $data, $isNew)
{
    // Abort save
    return false;
}
```

**Arguments**\
`$context` - the context of the event, ‘com\_competition.appform’.\
`$data` - an array of validated application form data.\
`$isNew` - true for new entry form, false otherwise.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.norrnext.com/norrcompetition/customisation/events/entry-form.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
